/***************************************************************************
 *   Copyright (C) 2010 by Martin Burgemeister, Mathis Lindemann           *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "UCQWarnings.h"

/**
 * \brief Sets up the gui.
 *
 * \param parent Pointer to the parent QWidget.
 */
UCQWarnings::UCQWarnings ( QWidget* parent ) :
    QDialog ( parent )
{
    ui_.setupUi ( this );
}

/**
 * \brief Appends a new warning with a timestamp at the end of the warnings
 *        QTextEdit.
 *
 * \param warning The warning-text to append.
 * \see newWarnings()
 */
void UCQWarnings::addWarning ( QString warning )
{
    ui_.warningsEdit->append ( "<"
            + QTime::currentTime ().toString ( "hh:mm:ss" ) + ">" + warning );
    emit ( newWarnings () );
}

/**
 * \brief Removes all warnings.
 */
void UCQWarnings::clear ()
{
    ui_.warningsEdit->clear ();
}
